<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false"
         backupStaticAttributes="false"
         beStrictAboutTestsThatDoNotTestAnything="true"
         beStrictAboutOutputDuringTests="true"
         bootstrap="vendor/autoload.php"
         colors="true"
         convertErrorsToExceptions="true"
         convertNoticesToExceptions="true"
         convertWarningsToExceptions="true"
         failOnRisky="true"
         failOnWarning="true"
         processIsolation="false"
         stopOnError="true"
         stopOnFailure="true"
         verbose="true"
>
    <testsuites>
        <testsuite name="PHP Integrator Unit Test Suite">
            <directory suffix="Test.php">./tests/Unit</directory>
        </testsuite>
        <testsuite name="PHP Integrator Integration Test Suite">
            <directory suffix="Test.php">./tests/Integration</directory>
        </testsuite>
    </testsuites>
    <filter>
        <whitelist processUncoveredFilesFromWhitelist="true">
            <directory suffix=".php">./src</directory>
            <exclude>
                <file>src/Main.php</file>
            </exclude>
        </whitelist>
    </filter>
</phpunit>
